import BlogDetail from "./BlogDetail";

export default {
  title: "Components/TopLevel/BlogDetail",
  component: BlogDetail,
};

export const Default = {
  args: {
    title:
      "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Maecenas eget venenatis leo. Donec mattis tortor in nisl lacinia, ",
    postedOn: "july 11, 2020",
    postedBy: "Charlotte Maria",
    readTime: "1",
    tag: "fashion",
    img: "https://picsum.photos/1000/300",
    content: `
          # My Developer Journey

          Welcome to my **developer blog**. I use this space to document what I learn, build, and break. 😅

          ## 🔧 Skills I’m Learning

          - HTML, CSS & JavaScript
          - React & Next.js
          - Node.js + Express
          - MongoDB
          - TypeScript

          ## 📚 Favorite Resources

          1. [MDN Web Docs](https://developer.mozilla.org)
          2. [FreeCodeCamp](https://freecodecamp.org)
          3. [Frontend Mentor](https://frontendmentor.io)

          # Welcome to My Blog

          This is a simple **Markdown** example to demonstrate basic formatting. You can _italicize_ text or make it **bold**.

          ## Things I Like:

          - 🧠 Learning new tech
          - 📝 Writing blogs
          - 🔗 [Check my website](https://example.com)

          Here’s a sample code snippet:`,
  },
};
